using System;
using System.Threading;

namespace ObserverPattern_Parkeringshus
{
	// Udkrsels-trd
	public class Udkrsel
	{
		private P_Hus_Monitor phusMonitor;
        private volatile bool active = true;
        private static int indNr = 0;
        private int nr;

        public Udkrsel(P_Hus_Monitor phusMonitor)
		{
			this.phusMonitor = phusMonitor;
            this.nr = ++indNr;
		}
		public void Run ()
		{
            Random random = new Random((int)DateTime.Now.Ticks); ;
            int count = 0;
            while (active)
			{
				phusMonitor.bilKrerUd(nr, ++count);
                Thread.Sleep(random.Next(300, 950));
            }
		}
        public void Stop()
        {
            active = false;
        }
    }
}
